#include "ppp_status.hh"
#include <iostream>

int main (int argc, char** argv)
{
  if (argc != 2) {
    std::cerr << argv[0] << " <logfile>" << std::endl;
    return 1;
  }

 
  /*
  ReverseFile rf(argv[1]);
  while (!rf.bof())
    std::cout << rf() << std::endl;
  */

  PPPStatus status (argv[1]);
  status.Reset ();
  while (true) {
    std::cout << status.GetStatus () << " " << status.GetError ()
	      << " " << status.GetConnectionTime () << std::endl;  
    sleep (1);
  }

  return 0;
}
//eof wo newline
